#define COMPAT_PRECISION

varying vec2 TEX0;

#if defined(VERTEX)

void main()
{
	TEX0 = gl_MultiTexCoord0.st; //vec2(gl_MultiTexCoord0.x, 1.0-gl_MultiTexCoord0.y)*1.0001;
	gl_Position = gl_ModelViewProjectionMatrix * gl_Vertex;
}

#elif defined(FRAGMENT)

uniform sampler2D Texture;

void main()
{
    gl_FragColor = vec4(TEX0.s, TEX0.t, 0, 1); texture2D(Texture, TEX0);
}

#endif
